﻿namespace SafeCampus.Core.Utils;

/// <summary>
/// 加解密功能
/// </summary>
public class Q3J5cHRvZ3JhbVV0aWw
{
    #region SM2

    /// <summary>
    /// SM2解密
    /// </summary>
    /// <param name="str">密文</param>
    /// <returns>明文</returns>
    public static string U20yRGVjcnlwdA(string str)
    {
        try
        {
            // 解密
            if (!string.IsNullOrWhiteSpace(str))
                return U00yVXRpbA.Decrypt(str);
        }
        catch
        {
            return "";
        }
        return "";
    }

    /// <summary>
    /// SM2加密
    /// </summary>
    /// <param name="str">明文</param>
    /// <returns>密文</returns>
    public static string U20yRW5jcnlwdA(string str)
    {
        try
        {
            // 加密
            if (!string.IsNullOrWhiteSpace(str))
                return U00yVXRpbA.Encrypt(str);
        }
        catch
        {
            return "";
        }
        return "";
    }

    #endregion SM2

    #region Sm4

    /// <summary>
    /// SM4解密
    /// </summary>
    /// <param name="str">密文</param>
    /// <returns>明文</returns>
    public static string U200RGVjcnlwdA(string str)
    {
        try
        {
            if (!string.IsNullOrWhiteSpace(str))// 解密
                return U000VXRpbA.Decrypt(new U000VXRpbA { Data = str });
            return "";
        }
        catch (Exception e)
        {
            return "";
        }
        
    }

    /// <summary>
    /// SM4加密
    /// </summary>
    /// <param name="str">明文</param>
    /// <returns>密文</returns>
    public static string U200RW5jcnlwdA(string str)
    {
        try
        {
            if (!string.IsNullOrWhiteSpace(str))// 加密
                return U000VXRpbA.Encrypt(new U000VXRpbA { Data = str });
            return "";
        }
        catch (Exception)
        {
            return "";
        }
    }

    #endregion Sm4
}
