﻿using SafeCampus.System.Services.LogAudit.SmsLog;

namespace SafeCampus.Web.Core;
/// <summary>
/// 短信日志控制器
/// </summary>
[ApiDescriptionSettings(Tag = "短信日志")]
[Route("sys/audit/[controller]")]
[SuperAdmin]
public class SmsLogController : BaseController
{
    private readonly ISmsLogService _smsLogService;

    public SmsLogController(ISmsLogService smsLogService)
    {
        _smsLogService = smsLogService;
    }


    /// <summary>
    /// 短信日志分页查询
    /// </summary>
    /// <param name="input"></param>
    /// <returns></returns>
    [HttpGet("page")]
    public async Task<dynamic> Page([FromQuery] SmsLogPageInput input)
    {
        return await _smsLogService.Page(input);
    }

    /// <summary>
    /// 短信日志周统计折线图
    /// </summary>
    /// <returns></returns>
    [HttpGet("lineChartData")]
    public async Task<dynamic> LineChartData()
    {
        return await _smsLogService.StatisticsByDay(7);
    }

    /// <summary>
    /// 短信日志总览饼图
    /// </summary>
    /// <returns></returns>
    [HttpGet("pieChartData")]
    public async Task<dynamic> PieChartData()
    {
        return await _smsLogService.TotalCount();
    }

    /// <summary>
    /// 清空日志
    /// </summary>
    /// <param name="input"></param>
    /// <returns></returns>
    [HttpPost("delete")]
    public async Task Delete()
    {
        await _smsLogService.Delete();
    }
}