/**
 * @description 授权模块接口
 */

import { moduleRequest } from "@/api/request";
const http = moduleRequest("/sys/auth/activate/");

const authsApi = {
  /** 获取机器码 */
  machineCode() {
    return http.post("machineCode", {}, { loading: false }); // 正常 post json 请求  =  application/json
  },
  /** 激活 */
  activation(params: any) {
    return http.post("activation", JSON.stringify(params), { loading: false, headers: { "Content-Type": "application/json" } });
  }
};

export { authsApi };
